Name:           dnstop
Version:        20240820
Release:        %mkrel 2
Summary:        Displays information about DNS traffic on your network
Group:          Networking/Other
License:        BSD
URL:            http://dns.measurement-factory.com/tools/dnstop/
Source0:        https://github.com/measurement-factory/dnstop/archive/master//dnstop-%{version}.zip

# At one point int[] arrays are passed to a uint* function; since all
# callers are signed, changed function to take signed ints.
# Also, check read(2) for entropy data and abort on short reads.
Patch0:         dnstop-20140915-fix-warnings.patch
Patch1:         dnstop-20140915-usage.patch

BuildRequires:  libpcap-devel
BuildRequires:  pkgconfig(ncurses)


%description
dnstop is a libpcap application (ala tcpdump) that displays various
tables of DNS traffic on your network.

dnstop supports both IPv4 and IPv6 addresses.

To help find especially undesirable DNS queries, dnstop provides a
number of filters.

dnstop can either read packets from the live capture device, or from a
tcpdump savefile.


%prep
%setup -qn %{name}-master
#autopatch -p1

%build
%configure
%make_build


%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man8

%make_install


%files
%doc LICENSE CHANGES
%{_bindir}/dnstop
%{_mandir}/man8/dnstop.8*


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 20240820-2.mga10
+ Revision: 2227166
- Mageia 10 Mass Rebuild

* Tue Aug 27 2024 mrambo3501 <mrambo3501> 20240820-1.mga10
+ Revision: 2091828
- version 20240820

* Wed Aug 21 2024 kekepower <kekepower> 20240718-1.mga10
+ Revision: 2087238
- Update to release 20240718

* Mon Mar 28 2022 umeabot <umeabot> 20180227-4.mga9
+ Revision: 1830894
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 20180227-3.mga8
+ Revision: 1511902
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 20180227-2.mga7
+ Revision: 1297475
- Mageia 7 Mass Rebuild

* Sat Mar 24 2018 kekepower <kekepower> 20180227-1.mga7
+ Revision: 1212026
- Update to latest git master, 20180227
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Nov 25 2015 daviddavid <daviddavid> 20140915-1.mga6
+ Revision: 905933
- new version: 20140915
- rename and rediff patch0 (fix-warnings)

* Wed Oct 15 2014 umeabot <umeabot> 20121017-3.mga5
+ Revision: 747626
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 20121017-2.mga5
+ Revision: 678780
- Mageia 5 Mass Rebuild

* Fri Aug 29 2014 juancho <juancho> 20121017-1.mga5
+ Revision: 669315
- imported package dnstop


* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20121017-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20121017-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Mar 04 2014 Conrad Meyer <cemeyer@uw.edu> - 20121017-4
- Actual cleanup; drop EL5-age SPEC bits

* Mon Mar 03 2014 Denis Fateyev <denis@fateyev.com> - 20121017-3
- Spec cleanup, epel branches

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20121017-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Feb 17 2013 Conrad Meyer <cemeyer@uw.edu> - 20121017-1
- Bump to latest upstream version
- Fix build (latest dnstop correctly prefixes mandir, bindir with DESTDIR)
- Fix warnings (pointer target signedness, unchecked read(2))

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20110502-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20110502-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20110502-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Jul 16 2011 Conrad Meyer <konrad@tylerc.org> - 20110502-1
- Bump to latest upstream version.

* Fri Mar 25 2011 Niels de Vos <devos@fedoraproject.org> - 20090128-3
- Fiy Failed To Build From Source (#660807)

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20090128-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Dec 24 2009 Conrad Meyer <konrad@tylerc.org> - 20090128-1
- Initial package.
